LastKingsMaster LV.7 GameManager
Nov 29, 2019, 12:34 PM 134 read

[Important] Change of minimum operating environment

[★Notice★]
Last Kings Global: [★Notice★] -  [Important] Change of minimum operating environment image 1

Hi.   To provide stable service after the inspection on Tuesday, December 10, 2019 We change required device specifications of Android terminal.   Please note that devices that do not meet the required device specifications will not be able to play games.   [Required device spec change date and time]   After inspection on Tuesday, December 10, 2019   [Required device specification after change]   Required OS: Android OS 7.0 or later RAM required: 2.1 GB or more   ※ Terminal less than 2.0GB of RAM is not available.   Please accept our apologies for any inconvenience this may have caused.   I would like to ask 'Last Kings'.

Comment 0

Home